---

# ---
# vars used by roles/network_interfaces
# ---

# If true, all additional files in /etc/network/interfaces/interfaces.d/ are deleted
network_manage_devices: True

# Should the interfaces be reloaded after config change?
network_interface_reload: False

network_interface_path: /etc/network/interfaces.d
network_interface_required_packages:
  - vlan
  - bridge-utils
  - ifmetric
  - ifupdown
  - ifenslave


network_interfaces:

  - device: br0
    # use only once per device (for the first device entry)
    headline: br0 - bridge over device eth0

    # auto & allow are only used for the first device entry
    allow: [] # array of allow-[stanzas] eg. allow-hotplug
    auto: true

    family: inet
    method: manual
    hwaddress: 52:54:00:89:62:31
    description:
    address:
    netmask:
    gateway:
    metric:
    pointopoint:
    mtu:
    scope:

    # additional user by dhcp method
    #
    hostname:
    leasehours:
    leasetime:
    vendor:
    client:

    # additional used by bootp method
    #
    bootfile:
    server:
    hwaddr:

    # optional additional subnets/ips subnets: []
    # subnets: 
    #   - '192.168.123.0/24'
    #   - '192.168.124.11/32'

    # optional bridge parameters bridge: {}
    # bridge:
    #   ports:
    #   stp:
    #   fd:
    #   maxwait:
    #   waitport:
    bridge:
      ports: eth0 # for mor devices support a blank separated list
      stp: !!str off
      fd: 1
      hello: 2
      maxage: 12

    #  optional bonding parameters bond: {}
    #  bond:
    #    master
    #    primary
    #    slave
    #    method:
    #    miimon:
    #    lacp-rate:
    #    ad-select-rate:
    #    master:
    #    slaves:
    bond: {}

    # optional vlan settings | vlan: {}
    # vlan: {}
    #   raw-device: 'eth0'
    vlan: {}

    # inline hook scripts
    pre-up: [] # pre-up script lines
    up: 
      - !!str "ip addr add 83.223.85.220/24 dev br0"
      - !!str "ip route add default via 83.223.85.1"
    post-up: [] # post-up script lines (alias for up)
    pre-down: [] # pre-down script lines (alias for down)
    down: [] # down script lines
    post-down: [] # post-down script lines



# ---
# vars used by roles/ansible_dependencies
# ---


# ---
# vars used by roles/ansible_user
# ---


# ---
# vars used by roles/common/tasks/basic.yml
# ---


# ---
# vars used by roles/common/tasks/sshd.yml
# ---


# ---
# vars used by roles/common/tasks/apt.yml
# ---

apt_install_extra_pkgs: true
apt_extra_pkgs:
  - subversion
  - subversion-tools


# ---
# vars used by roles/common/tasks/users.yml
# ---

insert_ssh_keypair_backup_server: false
ssh_keypair_backup_server:
  - name: backup
    backup_user: back
    priv_key_src: root/.ssh/id_rsa.backup.warenform.de
    priv_key_dest: /root/.ssh/id_rsa
    pub_key_src: root/.ssh/id_rsa.backup.warenform.de.pub
    pub_key_dest: /root/.ssh/id_rsa.pub

insert_keypair_backup_client: true
ssh_keypair_backup_client:
  - name: backup
    priv_key_src: root/.ssh/id_ed25519.warenform-server
    priv_key_dest: /root/.ssh/id_ed25519
    pub_key_src: root/.ssh/id_ed25519.warenform-server.pub
    pub_key_dest: /root/.ssh/id_ed25519.pub
    target: backup.warenform.de


# ---
# vars used by roles/common/tasks/users-systemfiles.yml
# ---


# ---
# vars used by roles/common/tasks/webadmin-user.yml
# ---


# ---
# vars used by roles/common/tasks/sudoers.yml
# ---
#
# see: roles/common/tasks/vars


# ---
# vars used by roles/common/tasks/caching-nameserver.yml
# ---


# ---
# vars used by roles/common/tasks/git.yml
# ---

git_firewall_repository:
  name: ipt-server
  repo: https://git.oopen.de/firewall/ipt-server
  dest: /usr/local/src/ipt-server


# ==============================


# ---
# vars used by scripts/reset_root_passwd.yml
# ---

root_user:
  name: root
  password: $6$J1ssJfdshf/$mknQEPDcW4HN5.wFfawbamamywI7F7fhdZmaR1abNrc4DA7DNRx766lz3ygf9YV3gcmRq3QhJ3fBVlkwGMCvq.

